Is it possible to enable Argon2 PHP module in Plesk?

Follow

Comments

2 comments

  • Avatar
    Stéphan Schamp

    You can use Argon2, which isn't a PHP module but rather an extension of the password_* functions.

    You can install PHP 7.2 or 7.3 from https://deb.sury.org/ which has Argon2 support compiled in to PHP.

    And then register this as a new PHP handler in Plesk.

  • Avatar
    Alisa Kasyanova

    @Stéphan Schamp
    Thank you for your comment, I am sure it would be helpful to other Plesk users. However, I want to note that such solution was not officially tested by Plesk, so this workaround should be used on own will and risk.

Please sign in to leave a comment.

Have more questions? Submit a request